<?php 
/*************************************************************************** 
 *                                googlepuller.php 
 *                            ------------------- 
 *   begin                : Tuesday, Aug 9, 2005 
 *   copyright            : Wicher 
 *   $Id: $ 
 * 
 * 
 ***************************************************************************/ 

/*************************************************************************** 
 * 
 *   This program is free software; you can redistribute it and/or modify 
 *   it under the terms of the GNU General Public License as published by 
 *   the Free Software Foundation; either version 2 of the License, or 
 *   (at your option) any later version. 
 * 
 ***************************************************************************/ 

define('IN_PHPBB', true); 
$phpbb_root_path = './'; 
include($phpbb_root_path . 'extension.inc'); 
include($phpbb_root_path . 'common.'.$phpEx); 


// 
// Start session management 
// 
$userdata = session_pagestart($user_ip, PAGE_INDEX); 
init_userprefs($userdata); 
// 
// End session management 
// 


// 
// Start output of page 
// 
$page_title = $lang['Index']; 
include($phpbb_root_path . 'includes/page_header.'.$phpEx); 

$start = ( isset($HTTP_GET_VARS['start']) ) ? intval($HTTP_GET_VARS['start']) : 0;
$start = ($start < 0) ? 0 : $start;



$template->set_filenames(array( 
   'body' => 'googlepuller.tpl') 
); 


//Start code
$sql = "SELECT word_text
		FROM " . SEARCH_WORD_TABLE;
if ( !($result = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, "Could not obtain googlepullerlinklist information.", '', __LINE__, __FILE__, $sql);
}

$words = array();
if ($row = $db->sql_fetchrow($result))
{
	do
	{
		$words[] = $row;
	}
	while ($row = $db->sql_fetchrow($result));
	$db->sql_freeresult($result);

	$total_words = count($words);
}

$sql = "SELECT swt.word_text, smt.post_id
		FROM " . SEARCH_WORD_TABLE . " swt, " . SEARCH_MATCH_TABLE . " smt
		WHERE swt.word_id = smt.word_id
		ORDER BY swt.word_text ASC
		LIMIT $start, 500";
if ( !($result = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, "Could not obtain googlepullerlinklist information.", '', __LINE__, __FILE__, $sql);
}

$linkrow = array();
if ($row = $db->sql_fetchrow($result))
{
	do
	{
		$linkrow[] = $row;
	}
	while ($row = $db->sql_fetchrow($result));
	$db->sql_freeresult($result);

	$total_links = count($linkrow);
}

for($i = 0; $i < $total_links; $i = $i+10)
{
	$template->assign_block_vars('linkrow', array(
		'U_LINK1' => 'viewtopic.'.$phpEx.'?' . POST_POST_URL . '=' . $linkrow[$i]['post_id'] . '&amp;highlight=' . $linkrow[$i]['word_text'] . '#' . $linkrow[$i]['post_id'],
		'WORD1' => $linkrow[$i]['word_text'],
		'U_LINK2' => 'viewtopic.'.$phpEx.'?' . POST_POST_URL . '=' . $linkrow[$i+1]['post_id'] . '&amp;highlight=' . $linkrow[$i+1]['word_text'] . '#' . $linkrow[$i+1]['post_id'],
		'WORD2' => $linkrow[$i+1]['word_text'],
		'U_LINK3' => 'viewtopic.'.$phpEx.'?' . POST_POST_URL . '=' . $linkrow[$i+2]['post_id'] . '&amp;highlight=' . $linkrow[$i+2]['word_text'] . '#' . $linkrow[$i+2]['post_id'],
		'WORD3' => $linkrow[$i+2]['word_text'],
		'U_LINK4' => 'viewtopic.'.$phpEx.'?' . POST_POST_URL . '=' . $linkrow[$i+3]['post_id'] . '&amp;highlight=' . $linkrow[$i+3]['word_text'] . '#' . $linkrow[$i+3]['post_id'],
		'WORD4' => $linkrow[$i+3]['word_text'],
		'U_LINK5' => 'viewtopic.'.$phpEx.'?' . POST_POST_URL . '=' . $linkrow[$i+4]['post_id'] . '&amp;highlight=' . $linkrow[$i+4]['word_text'] . '#' . $linkrow[$i+4]['post_id'],
		'WORD5' => $linkrow[$i+4]['word_text'],
		'U_LINK6' => 'viewtopic.'.$phpEx.'?' . POST_POST_URL . '=' . $linkrow[$i+5]['post_id'] . '&amp;highlight=' . $linkrow[$i+5]['word_text'] . '#' . $linkrow[$i+5]['post_id'],
		'WORD6' => $linkrow[$i+5]['word_text'],
		'U_LINK7' => 'viewtopic.'.$phpEx.'?' . POST_POST_URL . '=' . $linkrow[$i+6]['post_id'] . '&amp;highlight=' . $linkrow[$i+6]['word_text'] . '#' . $linkrow[$i+6]['post_id'],
		'WORD7' => $linkrow[$i+6]['word_text'],
		'U_LINK8' => 'viewtopic.'.$phpEx.'?' . POST_POST_URL . '=' . $linkrow[$i+7]['post_id'] . '&amp;highlight=' . $linkrow[$i+7]['word_text'] . '#' . $linkrow[$i+7]['post_id'],
		'WORD8' => $linkrow[$i+7]['word_text'],
		'U_LINK9' => 'viewtopic.'.$phpEx.'?' . POST_POST_URL . '=' . $linkrow[$i+8]['post_id'] . '&amp;highlight=' . $linkrow[$i+8]['word_text'] . '#' . $linkrow[$i+8]['post_id'],
		'WORD9' => $linkrow[$i+8]['word_text'],
		'U_LINK10' => 'viewtopic.'.$phpEx.'?' . POST_POST_URL . '=' . $linkrow[$i+9]['post_id'] . '&amp;highlight=' . $linkrow[$i+9]['word_text'] . '#' . $linkrow[$i+9]['post_id'],
		'WORD10' => $linkrow[$i+9]['word_text']
	));

}

//end code

$template->assign_vars(array( 
	'L_TOTAL_GOOGLELINKS' => $lang['Total_googlewordlinks'],
	'TOTALWORDS' => $total_words,
	'L_GOOGLEPAGE_ALT' => $lang['googlepage_alt'],
	'PAGINATION' => generate_pagination("googlepuller.$phpEx?makegooglelinks=yes", $total_words, 500, $start),
	'PAGE_NUMBER' => sprintf($lang['Page_of'], ( floor( $start / 500 ) + 1 ), ceil( $total_words / 500 ))
)); 

$template->pparse('body'); 

include($phpbb_root_path . 'includes/page_tail.'.$phpEx); 

?> 